Bug 906899 - (CVE-2013-0442) CVE-2013-0442 OpenJDK: insufficient privilege checking issue (AWT, 7192977)
CVE-2013-0442 OpenJDK: insufficient privilege checking issue (AWT, 7192977)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130201,repor...
: Security
Depends On:
Blocks: 906729
  Show dependency treegraph
 
Reported: 2013-02-01 15:23 EST by Tomas Hoger
Modified: 2013-10-23 13:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: icedtea6 1.11.6, icedtea6 1.12.1, icedtea7 2.1.5, icedtea7 2.2.5, icedtea7 2.3.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 05:08:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2013-02-01 15:23:14 EST
It was discovered that AWT component in the OpenJDK did not properly check privileges of the code.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

External Reference:

http://www.oracle.com/technetwork/topics/security/javacpufeb2013-1841061.html
Comment 1 Tomas Hoger 2013-02-04 11:30:46 EST
Upstream commit, as included in IcedTea7 repositories:

http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/6527ae06da69

(Includes fix for both CVE-2013-0445 (bug 906900) and CVE-2013-0442 (bug 906899))
Comment 2 errata-xmlrpc 2013-02-04 18:55:04 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0237 https://rhn.redhat.com/errata/RHSA-2013-0237.html
Comment 3 errata-xmlrpc 2013-02-04 18:57:52 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0236 https://rhn.redhat.com/errata/RHSA-2013-0236.html
Comment 4 errata-xmlrpc 2013-02-08 14:17:07 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0246 https://rhn.redhat.com/errata/RHSA-2013-0246.html
Comment 5 errata-xmlrpc 2013-02-08 14:27:04 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0247 https://rhn.redhat.com/errata/RHSA-2013-0247.html
Comment 6 errata-xmlrpc 2013-02-08 14:37:10 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0245 https://rhn.redhat.com/errata/RHSA-2013-0245.html
Comment 7 Tomas Hoger 2013-02-14 05:08:55 EST
Fixed in upstream IcedTea versions IcedTea6 1.11.6, and 1.12.1, and IcedTea7 2.1.5, 2.2.5, and 2.3.6:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021708.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021728.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021905.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021876.html

Note that version 2.3.5 was tagged in upstream mercurial including the security fixes, but was not released.  Only 2.3.6 was released, correcting problem introduced by security patches as included in 2.3.5.
Comment 8 errata-xmlrpc 2013-03-11 14:47:15 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0624 https://rhn.redhat.com/errata/RHSA-2013-0624.html
Comment 9 errata-xmlrpc 2013-03-11 14:58:23 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0626 https://rhn.redhat.com/errata/RHSA-2013-0626.html
Comment 10 errata-xmlrpc 2013-03-11 15:01:44 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0625 https://rhn.redhat.com/errata/RHSA-2013-0625.html
Comment 11 errata-xmlrpc 2013-10-23 12:35:20 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html
Comment 12 errata-xmlrpc 2013-10-23 13:09:06 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html

Note You need to log in before you can comment on or make changes to this bug.